App\Entity\VenteRetourProduit:
    type: entity
    table: vente_retour_produit
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        quantite:
            type: float
            nullable: false
        prixHt:
            type: float
            nullable: false
        tauxTva:
            type: float
            nullable: true
        totalTva:
            type: float
            nullable: true
        tauxRemise:
            type: float
            nullable: true
        totalRemise:
            type: float
            nullable: true
        prixTTC:
            type: float
            nullable: true
        prixAchat:
            type: float
            nullable: true
        benefice:
            type: float
            nullable: true
        notes:
            type: text
            nullable: true
    manyToOne:
        venteRetour:
            targetEntity: VenteRetour
            cascade: {  }
            mappedBy: null
            inversedBy: rproduits
            joinColumns:
                vente_retour_id:
                    referencedColumnName: id
            orphanRemoval: false
        venteProduit:
            targetEntity: VenteProduit
            cascade: {  }
            mappedBy: null
            inversedBy: retours
            joinColumns:
                vente_produit_id:
                    referencedColumnName: id
            orphanRemoval: false